%define fontdir %{_datadir}/fonts/%{name}
%define catalogue %{_sysconfdir}/X11/fontpath.d

Summary:            Raw VBI, Teletext and Closed Caption decoding library
Name:               zvbi
Version:            0.2.35
Release:            3%{?dist}
License:            LGPLv2+ and GPLv2+ and BSD
URL:                http://zapping.sourceforge.net/ZVBI/index.html
Source0:            http://downloads.sourceforge.net/zapping/%{name}-%{version}.tar.bz2
Source1:            zvbid.service
Patch3000:          %{name}-0.2.24-tvfonts.patch
Patch3001:          %{name}-0.2.25-openfix.patch

BuildRequires:      make gcc-c++
BuildRequires:      doxygen gettext >= 0.16.1 libpng-devel libICE-devel
BuildRequires:      bdftopcf mkfontdir systemd-units fontconfig


%description
The Zapping VBI library, in short ZVBI, provides functions to capture and decode VBI data. It is 
written in plain ANSI C with few dependencies on other tools and libraries, licensed under GPL. 


%package devel
Summary:            Development files for zvbi
Requires:           %{name} = %{version}-%{release}

%description devel
This package provides development files for zvbi.


%package fonts
Summary:            Fonts from zvbi converted to X11
BuildArch:	        noarch
Provides:           xawtv-tv-fonts >= 3.95

%description fonts
This package provides fonts from zvbi converted for use with X11.


%prep
%autosetup -p1

iconv -f iso8859-1 README -t utf8 > README.conv && /bin/mv -f README.conv README


%build
# not set --enable-static=no, because static libs are needed to build x11font during compile
# time to convert zvbi fonts into x11 fonts. 
%configure --disable-rpath --enable-v4l --enable-dvb --enable-proxy

sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make_build

# generate fonts, fonts.alias, fonts.dir
pushd contrib
./x11font
for font in *.bdf
do
    bdftopcf $font | gzip -9 -c > ${font%.bdf}.pcf.gz
done
mkfontdir -x .bdf .
cat >fonts.alias <<EOF
teletext   -ets-teletext-medium-r-normal--*-200-75-75-c-120-iso10646-1
EOF
popd


%install
mkdir -p %{buildroot}%{fontdir}
%make_install

mkdir -p %{buildroot}%{_unitdir}
install -m644 %{SOURCE1} %{buildroot}%{_unitdir}/zvbid.service
rm -rf %{buildroot}%{_initrddir}

install -pm0644 contrib/*.pcf.gz %{buildroot}%{fontdir}
install -pm0644 contrib/fonts.* %{buildroot}%{fontdir}
touch %{buildroot}%{fontdir}/fonts.cache-1

mkdir -p %{buildroot}%{catalogue}
ln -sf %{fontdir} %{buildroot}%{catalogue}/%{name}


%find_lang %{name}


%post
%systemd_post zvbid.service

%preun
%systemd_preun zvbid.service

%postun
%systemd_postun_with_restart zvbid.service


%files -f %{name}.lang
%license COPYING COPYING.LIB
%doc AUTHORS BUGS ChangeLog NEWS README TODO
%{_bindir}/%{name}*
%{_sbindir}/zvbid
%{_unitdir}/zvbid.service
%{_libdir}/*.so.*
%exclude %{_libdir}/*.a
%exclude %{_libdir}/*.la
%{_mandir}/man1/*


%files devel
%{_includedir}/libzvbi.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}-0.2.pc


%files fonts
%dir %{_datadir}/fonts/%{name}
%{fontdir}/*.gz
%{fontdir}/fonts.dir
%{fontdir}/fonts.alias
%{catalogue}/%{name}
%ghost %{fontdir}/fonts.cache-1


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.35-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.35-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 20 2023 Wang Guodong <gordonwwang@tencent.com> - 0.2.35-1
- initial build
